Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.xslt
Class Process

    java.lang.Object
      |
      +--weblogic.apache.xalan.xslt.Process

public class Process
extends java.lang.Object

The main() method handles the Xalan command-line interface.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Constructor Summary
`Process()`

Method Summary
`static void` | `main(java.lang.String[] argv)` Command line interface to transform an XML document according to the instructions found in an XSL stylesheet.
`protected static void` | `printArgOptions(XSLTErrorResources resbundle)` Prints argument options.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Process

    public Process()

Method Detail

### printArgOptions

    protected static void printArgOptions(XSLTErrorResources resbundle)

  Prints argument options.

  Parameters:
    `resbundle` - Resource bundle

### main

    public static void main(java.lang.String[] argv)

  Command line interface to transform an XML document according to the instructions found in an XSL stylesheet.

  The Process class provides basic functionality for performing transformations from the command line. To see a list of arguments supported, call with zero arguments.

  To set stylesheet parameters from the command line, use `-PARAM name expression`. If you want to set the parameter to a string value, simply pass the string value as-is, and it will be interpreted as a string. (Note: if the value has spaces in it, you may need to quote it depending on your shell environment).

  Parameters:
    `argv` - Input parameters from command line

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference